package com.tmerclub.cloud.cuerecycle.controller.admin;

import com.tmerclub.cloud.common.response.ServerResponseEntity;
import com.tmerclub.cloud.cuerecycle.model.dto.CueTypeDTO;
import com.tmerclub.cloud.cuerecycle.service.CueTypeService;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import jakarta.annotation.Resource;
import jakarta.validation.Valid;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 球杆类型
 *
 * @author: frank
 * @create: 2025-04-10
 **/
@Tag(name = "后管-球杆类型")
@RestController("adminCueTypeController")
@RequestMapping("/admin/cueType")
public class CueTypeController {
    @Resource
    CueTypeService cueTypeService;

    @PostMapping
    @Operation(summary = "保存球杆类型", description = "保存球杆类型")
    public ServerResponseEntity<Void> save(@Valid @RequestBody CueTypeDTO couponDTO) {
        int insert = cueTypeService.insert(couponDTO);
        if (insert <= 0) {
            return ServerResponseEntity.showFailMsg("保存球杆类型失败");
        }
        return ServerResponseEntity.success();
    }
}