package com.tmerclub.cloud.cuerecycle.mapper;

import com.tmerclub.cloud.cuerecycle.model.CueBrand;
import com.tmerclub.cloud.cuerecycle.model.dto.CueBrandDTO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 球杆品牌Mapper接口
 *
 * @author: frank
 * @create: 2025-04-10
 **/
public interface CueBrandMapper {

    /**
     * 根据主键查询
     *
     * @param id 主键
     * @return 球杆品牌
     */
    CueBrand selectById(Long id);

    /**
     * 根据类型查询
     *
     * @param typeId 类型
     * @return 球杆品牌
     */
    List<CueBrand> listByType(Long typeId);

    /**
     * 根据条件查询
     *
     * @param query 查询条件
     * @return 球杆品牌
     */
    List<CueBrand> list(CueBrandDTO query);

    /**
     * 新增
     *
     * @param brand 球杆品牌
     * @return 影响行数
     */
    int insert(CueBrand brand);

    /**
     * 修改
     *
     * @param brand 球杆品牌
     * @return 影响行数
     */
    int update(CueBrand brand);

    /**
     * 修改状态
     *
     * @param id    主键
     * @param status 状态
     * @return 影响行数
     */
    int updateStatus(@Param("id") Long id, @Param("status") Integer status);
}
