package com.tmerclub.cloud.cuerecycle.model;

import com.tmerclub.cloud.common.model.BaseModel;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 球杆商品对象
 *
 * @author: frank
 * @create: 2025-04-10
 **/
@Data
@EqualsAndHashCode(callSuper = true)
public class CueProduct extends BaseModel implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long id;
    /**
     * 系列id
     */
    private Long seriesId;
    /**
     * 商品名称
     */
    private String name;
    /**
     * 商品描述
     */
    private String description;
    /**
     * 商品图片
     */
    private String images;
    /**
     * 商品价格
     */
    private BigDecimal price;
    /**
     * 排序
     */
    private Integer sort;
    /**
     * 状态
     */
    private Integer status;
}
