package com.tmerclub.cloud.cuerecycle.model.vo;

import com.tmerclub.cloud.common.model.BaseModel;
import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import java.io.Serializable;

/**
 * 球杆品牌视图对象
 *
 * @author: frank
 * @create: 2025-04-10
 **/
@Data
@EqualsAndHashCode(callSuper = true)
public class CueBrandVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @Schema(description = "主键")
    private Long id;
    /**
     * 球杆品牌名称
     */
    @Schema(description = "球杆品牌名称")
    private String name;
    /**
     * 球杆品牌logo
     */
    @Schema(description = "球杆品牌logo")
    private String logo;
}